Avro C#

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Avro.IO.ParsingDecoder Class Referenceabstract

Base class for a Parsing.Parser-based Decoders. More...

Inheritance diagram for Avro.IO.ParsingDecoder:

## Public Member Functions
abstract void | ReadNull ()
| Reads a null Avro type.
abstract bool | ReadBoolean ()
| Read a boolean Avro type
abstract int | ReadInt ()
| Reads an int Avro type.
abstract long | ReadLong ()
| Reads a long Avro type.
abstract float | ReadFloat ()
| Reads a float Avro type
abstract double | ReadDouble ()
| Reads a double Avro type
abstract byte[] | ReadBytes ()
| Reads the bytes Avro type
abstract string | ReadString ()
| Reads a string Avro type
abstract int | ReadEnum ()
| Reads an enum AvroType
abstract long | ReadArrayStart ()
| Starts reading the array Avro type. This, together with ReadArrayNext() is used to read the items from Avro array. This returns the number of entries in the initial chunk. After consuming the chunk, the client should call ReadArrayNext() to get the number of entries in the next chunk. The client should repeat the procedure until there are no more entries in the array.for (int n = decoder.ReadArrayStart(); n > 0; n = decoder.ReadArrayNext()) { // Read one array entry. }
abstract long | ReadArrayNext ()
| See ReadArrayStart().
abstract long | ReadMapStart ()
| Starts reading the map Avro type. This, together with ReadMapNext() is used to read the entries from Avro map. This returns the number of entries in the initial chunk. After consuming the chunk, the client should call ReadMapNext() to get the number of entries in the next chunk. The client should repeat the procedure until there are no more entries in the array. for (int n = decoder.ReadMapStart(); n > 0; n = decoder.ReadMapNext()) { // Read one map entry. }
abstract long | ReadMapNext ()
| See ReadMapStart().
abstract int | ReadUnionIndex ()
| Reads the index, which determines the type in an union Avro type.
abstract void | ReadFixed (byte[] buffer)
| A convenience method for ReadFixed(buffer, 0, buffer.Length);
abstract void | ReadFixed (byte[] buffer, int start, int length)
| Read a Fixed Avro type of length.
abstract void | SkipNull ()
| Skips a null Avro type on the stream.
abstract void | SkipBoolean ()
| Skips a boolean Avro type on the stream.
abstract void | SkipInt ()
| Skips a int Avro type on the stream.
abstract void | SkipLong ()
| Skips a long Avro type on the stream.
abstract void | SkipFloat ()
| Skips a float Avro type on the stream.
abstract void | SkipDouble ()
| Skips a double Avro type on the stream.
abstract void | SkipBytes ()
| Skips a bytes Avro type on the stream.
abstract void | SkipString ()
| Skips a string Avro type on the stream.
abstract void | SkipEnum ()
| Skips an enumeration.
abstract void | SkipUnionIndex ()
| Skips a union tag index.
abstract void | SkipFixed (int len)
| Skips a fixed of a specified length.
abstract void | SkipArray ()
| Skips an array on the stream. More...
abstract void | SkipMap ()
| Skips a map on the stream. More...
abstract Symbol | DoAction (Symbol input, Symbol top)
| Handle the action symbol `top` when the `input` is sought to be taken off the stack.
virtual void | SkipAction ()
| Skips the action at the top of the stack.
virtual void | SkipTopSymbol ()
| Skips the symbol at the top of the stack.

## Protected Member Functions
| ParsingDecoder (Symbol root)
| Initializes a new instance of the ParsingDecoder class. More...
abstract void | SkipFixed ()
| Skips a fixed type on the stream. More...

## Protected Attributes
readonly SkipParser | Parser
| The parser. More...

## Detailed Description

Base class for a Parsing.Parser-based Decoders.

## Constructor & Destructor Documentation

## ◆ ParsingDecoder()

Avro.IO.ParsingDecoder.ParsingDecoder | ( | Symbol | root | ) |
| inline protected

Initializes a new instance of the ParsingDecoder class.

## Member Function Documentation

## ◆ SkipArray()

abstract void Avro.IO.ParsingDecoder.SkipArray | ( |  | ) |
| pure virtual

Skips an array on the stream.

Implemented in Avro.IO.JsonDecoder.

## ◆ SkipFixed()

abstract void Avro.IO.ParsingDecoder.SkipFixed | ( |  | ) |
| protected pure virtual

Skips a fixed type on the stream.

Implemented in Avro.IO.JsonDecoder.

## ◆ SkipMap()

abstract void Avro.IO.ParsingDecoder.SkipMap | ( |  | ) |
| pure virtual

Skips a map on the stream.

Implemented in Avro.IO.JsonDecoder.

## Member Data Documentation

## ◆ Parser

readonly SkipParser Avro.IO.ParsingDecoder.Parser
| protected

The parser.

The documentation for this class was generated from the following file:

- src/apache/main/IO/ParsingDecoder.cs